{
  lib,
  config,
  pkgs,
  ...
}:
let
  inherit (lib) mkEnableOption mkIf;
  inherit (lib.marleyos) enabled;

  cfg = config.marleyos.appearance.base;
  inherit (config.marleyos.theme) colors;
in
{
  options.marleyos.appearance.base.enable = mkEnableOption "base";

  config = mkIf cfg.enable {
    home.packages = with pkgs; [
      maple-mono-NF
    ];

    rose-pine.pointerCursor = mkIf colors.isRosePine enabled;

    marleyos.theme = {
      default = "dark";

      dark = {
        base = "rose-pine";
        flavor = "main";
      };

      light = {
        base = "rose-pine";
        flavor = "dawn";
      };
    };

    marleyos.theme.icons = {
      package = pkgs.kora-icon-theme;
      name = "kora";
    };

    # TODO: package font with harfbuzz features.
    fonts.fontconfig.defaultFonts.monospace = [ "Maple Mono NF" ];
  };
}
